package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.HTMapper;
import com.sa.ibiz.demo.demo.domain.HT;
import com.sa.ibiz.demo.demo.service.HTService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.HTSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.XMService;

/**
 * 实体[HT] 服务对象接口实现
 */
@Service
public class HTServiceImpl extends ServiceImplBase<HTMapper, HT> implements HTService{

    @Autowired
    private XMService xmService;

    @Resource
    private HTMapper htMapper;


    @Override
    public boolean create(HT et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(HT et){
        this.beforeUpdate(et);
		this.htMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(HT et){
		return et.getHtid();  
    }

    @Override
    public boolean getDraft(HT et)  {
    if((!StringUtils.isEmpty(et.getXmid())) && et.getXm() == null){
            try {
                et.setXm(xmService.getById(et.getXmid()));
            }catch (Exception ex){}
        }
            return true;
    }
    @Autowired
    com.sa.ibiz.demo.demo.logic.HTLogic htLogic;
    @Override
    public HT getXminfo(HT et)  {
                    htLogic.getXminfo(et);
		return et;
    }

	public List<HT> listDefault(HTSearchFilter filter) {
		return htMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<HT> searchDefault(HTSearchFilter filter) {
		return htMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return htMapper.selectRow(sql);
    }

 }